diff --git a/sys/contrib/dev/acpica/source/tools/efihello/efihello.c b/sys/contrib/dev/acpica/source/tools/efihello/efihello.c
index c1208fafe3..93408908ee 100644
--- a/sys/contrib/dev/acpica/source/tools/efihello/efihello.c
+++ b/sys/contrib/dev/acpica/source/tools/efihello/efihello.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2019, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2020, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/examples/examples.c b/sys/contrib/dev/acpica/source/tools/examples/examples.c
index 73cdd53569..e2f6aa747f 100644
--- a/sys/contrib/dev/acpica/source/tools/examples/examples.c
+++ b/sys/contrib/dev/acpica/source/tools/examples/examples.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2019, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2020, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -576,7 +576,7 @@ ExecuteOSI (
     if (ReturnValue.Length < sizeof (ACPI_OBJECT))
     {
         AcpiOsPrintf ("Return value from _OSI method too small, %.8X\n",
-            ReturnValue.Length);
+            (UINT32) ReturnValue.Length);
         goto ErrorExit;
     }
 
diff --git a/sys/contrib/dev/acpica/source/tools/examples/examples.h b/sys/contrib/dev/acpica/source/tools/examples/examples.h
index 08804c45d4..d79f4572d7 100644
--- a/sys/contrib/dev/acpica/source/tools/examples/examples.h
+++ b/sys/contrib/dev/acpica/source/tools/examples/examples.h
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2019, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2020, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/examples/exstubs.c b/sys/contrib/dev/acpica/source/tools/examples/exstubs.c
index a4f9677164..0ca2d68797 100644
--- a/sys/contrib/dev/acpica/source/tools/examples/exstubs.c
+++ b/sys/contrib/dev/acpica/source/tools/examples/exstubs.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2019, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2020, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/examples/extables.c b/sys/contrib/dev/acpica/source/tools/examples/extables.c
index b60a6c80c1..1890e43ba5 100644
--- a/sys/contrib/dev/acpica/source/tools/examples/extables.c
+++ b/sys/contrib/dev/acpica/source/tools/examples/extables.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2019, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2020, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/tests/misc/badcode.asl b/sys/contrib/dev/acpica/tests/misc/badcode.asl
index 996adfc74f..12de101b20 100644
--- a/sys/contrib/dev/acpica/tests/misc/badcode.asl
+++ b/sys/contrib/dev/acpica/tests/misc/badcode.asl
@@ -11,7 +11,7 @@
  * iasl badcode.asl
  *
  * Output:
- * Compilation complete. 45 Errors, 22 Warnings, 3 Remarks, 16 Optimizations
+ * Compilation complete. 45 Errors, 28 Warnings, 11 Remarks, 14 Optimizations
  *
  */
 DefinitionBlock ("badcode.aml", "DSDT", 1, "Intel", "Example", 0x00000001)
diff --git a/sys/contrib/dev/acpica/tests/misc/grammar.asl b/sys/contrib/dev/acpica/tests/misc/grammar.asl
index 1119ba9091..6eb77de666 100644
--- a/sys/contrib/dev/acpica/tests/misc/grammar.asl
+++ b/sys/contrib/dev/acpica/tests/misc/grammar.asl
@@ -1,5 +1,5 @@
 /*
- * Some or all of this work - Copyright (c) 2006 - 2019, Intel Corp.
+ * Some or all of this work - Copyright (c) 2006 - 2020, Intel Corp.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without modification,
diff --git a/usr.sbin/acpi/acpinames/Makefile b/usr.sbin/acpi/acpinames/Makefile
index e1fa89047d..a774e06d10 100644
--- a/usr.sbin/acpi/acpinames/Makefile
+++ b/usr.sbin/acpi/acpinames/Makefile
@@ -19,34 +19,69 @@ SRCS=	\
 
 SRCS+=	\
 	cmfsize.c \
+	dscontrol.c \
+	dsdebug.c \
 	dsfield.c \
 	dsinit.c \
+	dsmethod.c \
 	dsmthdat.c \
 	dsobject.c \
+	dsopcode.c \
 	dspkginit.c \
 	dsutils.c \
+	dswexec.c \
 	dswload.c \
 	dswload2.c \
 	dswscope.c \
 	dswstate.c \
+	evhandler.c \
+	evmisc.c \
+	evregion.c \
+	evrgnini.c \
+	evxfregn.c \
+	exconcat.c \
+	exconfig.c \
+	exconvrt.c \
 	excreate.c \
 	exdump.c \
+	exfield.c \
+	exfldio.c \
+	exmisc.c \
 	exmutex.c \
 	exnames.c \
+	exoparg1.c \
+	exoparg2.c \
+	exoparg3.c \
+	exoparg6.c \
 	exprep.c \
+	exregion.c \
 	exresnte.c \
 	exresolv.c \
+	exresop.c \
+	exserial.c \
+	exstore.c \
+	exstoren.c \
+	exstorob.c \
 	exsystem.c \
 	exutils.c \
 	getopt.c \
+	hwpci.c \
+	hwvalid.c \
 	nsaccess.c \
 	nsalloc.c \
+	nsarguments.c \
+	nsconvert.c \
 	nsdump.c \
+	nseval.c \
 	nsinit.c \
 	nsload.c \
 	nsnames.c \
 	nsobject.c \
 	nsparse.c \
+	nspredef.c \
+	nsprepkg.c \
+	nsrepair.c \
+	nsrepair2.c \
 	nssearch.c \
 	nsutils.c \
 	nswalk.c \
@@ -79,6 +114,7 @@ SRCS+=	\
 	utascii.c \
 	utbuffer.c \
 	utcache.c \
+	utcopy.c \
 	utdebug.c \
 	utdecode.c \
 	utdelete.c \
@@ -97,8 +133,12 @@ SRCS+=	\
 	utobject.c \
 	utosi.c \
 	utownerid.c \
+	utpredef.c \
+	utresrc.c \
 	utstate.c \
 	utstring.c \
+	utstrsuppt.c \
+	utstrtoul64.c \
 	utxface.c \
 	utxferror.c \
 	utxfinit.c
diff --git a/usr.sbin/acpi/iasl/Makefile b/usr.sbin/acpi/iasl/Makefile
index 5b7d59927a..2b81ab1ef6 100644
--- a/usr.sbin/acpi/iasl/Makefile
+++ b/usr.sbin/acpi/iasl/Makefile
@@ -15,6 +15,9 @@ SRCS=	\
 	aslcompilerlex.c \
 	aslcompilerparse.c \
 	aslmessages.c \
+	dtcompilerparser.y.h \
+	dtcompilerparserlex.c \
+	dtcompilerparserparse.c \
 	dtparser.y.h \
 	dtparserlex.c \
 	dtparserparse.c \
@@ -228,6 +231,7 @@ CFLAGS+= \
 	-I${.CURDIR}
 
 LFLAGS=	-i -s
+DLFLAGS=-i
 YFLAGS=	-d
 
 ASLPARSER_M4INC = \
@@ -253,8 +257,17 @@ aslcompilerparse.c: aslcompiler.y
 aslcompiler.y.h: aslcompilerparse.c
 	mv -f aslcompilerparse.h ${.TARGET}
 
+dtcompilerparserlex.c: dtcompilerparser.l
+	${LEX} ${DLFLAGS} -PDtCompilerParser -o${.TARGET} ${.ALLSRC}
+
+dtcompilerparserparse.c: dtcompilerparser.y
+	${YACC} ${YFLAGS} -pDtCompilerParser -o${.TARGET} ${.ALLSRC}
+
+dtcompilerparser.y.h: dtcompilerparserparse.c
+	mv -f dtcompilerparserparse.h ${.TARGET}
+
 dtparserlex.c: dtparser.l
-	${LEX} ${LFLAGS} -PDtParser -o${.TARGET} ${.ALLSRC}
+	${LEX} ${DLFLAGS} -PDtParser -o${.TARGET} ${.ALLSRC}
 
 dtparserparse.c: dtparser.y
 	${YACC} ${YFLAGS} -pDtParser -o${.TARGET} ${.ALLSRC}
@@ -277,6 +290,10 @@ CLEANFILES+=	\
 		aslcompilerparse.c \
 		aslcompilerparse.h \
 		aslcompiler.y.h \
+		dtcompilerparserlex.c \
+		dtcompilerparserparse.c \
+		dtcompilerparserparse.h \
+		dtcompilerparser.y.h \
 		dtparserlex.c \
 		dtparserparse.c \
 		dtparserparse.h \
